%define name	xawtv4
%define version	4.0
%define release	%mkrel 0.cvs20070625.1


Name:		%{name}
URL:		http://bytesex.org/xawtv/
License:	GPL
Group:		Video
Version:	%{version}
Release:	%{release}

Summary:	DVB and Video4Linux TV application
Source0:	http://dl.bytesex.org/cvs-snapshots/xawtv-20070625-114215.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libalsa2-devel libmesaglut3-devel gtk2-devel libjpeg-devel libmpeg2dec0-devel libxml2-devel
BuildRequires:	lirc mad-devel libzvbi0-devel ncurses-devel
BuildRequires:	libdrm-devel

Requires:	common-licenses

%description
This is a development snapshot of the upcoming 4.x release of xawtv.
Main new feature is support for DVB cards (including budget cards), so
if you have one such a card might give it a try.  Otherwise better
stick with the stable 3.x versions.

%prep
%setup -q -n xawtv

%build
./autogen.sh
%configure	--prefix=/usr/	\
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}
%make

%install
rm -rf %{buildroot}
perl -pi -e 's!-o root -g root!!g' src/Makefile
%{makeinstall_std} ROOT="$RPM_BUILD_ROOT" SUID_ROOT=""

%find_lang xawtv

# Menu entries

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XawTV4
Comment=A program for watching TV
Exec=%{_bindir}/XawTV
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;TV;
EOF

%post
%update_menus

%postun
%celan_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xawtv.lang
%defattr(-,root,root,0755)
%{_bindir}/xawtv
%{_bindir}/scantv
%{_bindir}/pia
%{_bindir}/mtt
%{_bindir}/alexplore
%{_bindir}/dvbradio
%{_bindir}/dvbrowse
%{_bindir}/alevtd
%{_bindir}/dump-mixers
%{_bindir}/ntsc-cc
%{_bindir}/propwatch
%{_bindir}/radio
%{_bindir}/record
%{_bindir}/rootv
%{_bindir}/showqt
%{_bindir}/showriff
%{_bindir}/streamer
%{_bindir}/subtitles
%{_bindir}/v4l-conf
%{_bindir}/v4l-info
%{_bindir}/v4lctl
%{_bindir}/webcam
%{_bindir}/xawtv-remote
%dir %{_libdir}/xawtv4
%{_libdir}/xawtv4/*
%{_datadir}/man/*/man1/*
%{_datadir}/man/*/man5/xawtvrc.5.lzma
%{_datadir}/man/*/man8/v4l-conf.8.lzma
%{_datadir}/man/man1/*
%{_datadir}/man/man5/xawtvrc.5.lzma
%{_datadir}/man/man8/v4l-conf.8.lzma
%dir %{_datadir}/xawtv
%{_datadir}/xawtv/*
%{_datadir}/applications/mandriva-%{name}.desktop
%doc NEW_IN_4 README.dvb

%changelog
* Sat Feb 09 2008 Oliver Burger <rpm@mandrivauser.de> 4.0-0.cvs20070625.1mud2008.0
- rebuild from SuSE (packman) package for Mandrivalinux 2008.0
- cleaned up spec-file

* Tue Aug 28 2007 - Henne Vogelsang <henne@links2linux.de>
- updated to cvs from 20070625

* Wed Dec 20 2006 - Henne Vogelsang <henne@links2linux.de>
- update to cvs from 20061123

* Thu Mar 23 2006 - Henne Vogelsang <henne@links2linux.de>
- update to cvs from 20060317

* Thu Mar 16 2006 - Henne Vogelsang <henne@links2linux.de>
- update to cvs from 20051128

* Tue Sep 20 2005 - Henne Vogelsang <henne@links2linux.de>
- First packman release